26.5.0 - May 19
Released: 2026-05-19
We’re pleased to announce the following updates to the Forward Networks API as part of release 26.5.0.
See also the full release notes for Forward Enterprise version 26.5.0.
Breaking changes
None.
Scheduled breaking changes
-
FWD-52020 Network Collection: The deprecated …/startcollection operation will be removed in release 26.6. Use POST /api/collector-tasks?type=NETWORK_COLLECTION instead.
- Affected operations:
- POST /api/networks/{networkId}/startcollection
- Affected operations:
-
FWD-52021 Network Collection: The deprecated …/collector/status operation will be removed in release 26.6. Use GET /api/collector-tasks/{collectorTaskId} instead.
- Affected operations:
- GET /api/networks/{networkId}/collector/status
- Affected operations:
-
FWD-52675 Networks: The Network property
created(a string timestamp) has been deprecated for removal in release 26.7. UsecreatedAt(also a string timestamp) instead.- Affected operations:
- GET /api/networks
- PATCH /api/networks/{networkId}
- DELETE /api/networks/{networkId}
- POST /api/networks/{networkId}/snapshots
- POST /api/networks/{networkId}/workspaces
- Affected operations:
-
FWD-51950 Network Devices: The MissingDevice property
possibleTypeshas been deprecated for removal in release 26.8. Usevendorinstead.- Affected operations:
- GET /api/networks/{networkId}/missing-devices
- Affected operations:
Model changes
-
ConnectivityTestError
- BUG-24923 Added value "LIMITED_DEVICE_SUPPORT"
- Affected operations:
- GET /api/networks/{networkId}/classic-devices
- GET /api/networks/{networkId}/classic-devices/{deviceName}
- GET /api/networks/{networkId}/endpoints
- GET /api/networks/{networkId}/endpoints/{endpointName}
-
DeviceCollectionError
- FWDN-12402 Added value "VELOS_PARTITION_WITHOUT_BLADES", reported when an F5 Velos partition has no blades and so cannot accept or load-balance traffic.
- Affected operations:
- GET /api/networks/{networkId}/devices
- GET /api/networks/{networkId}/devices/{deviceName}
-
DeviceType
- FWDN-12317 Added value "GCP_INTERCEPT_DEPLOYMENT", a synthetic GCP object that creates tunnels to inspection VMs (analogous to an AWS Gateway Load Balancer).
- Affected operations:
- GET /api/networks/{networkId}/devices
- GET /api/networks/{networkId}/devices/{deviceName}
- GET /api/networks/{networkId}/paths
- POST /api/networks/{networkId}/paths-bulk
- POST /api/networks/{networkId}/paths-bulk-seq
-
MissingDevice
- FWD-51950 Added the
vendorproperty, present when the vendor could be determined from CDP/LLDP data or MAC address even if the exact device type is unknown. - FWD-51950 Deprecated
possibleTypesfor removal in release 26.8. Usevendorinstead. - FWD-51950 Added
possibleTypesvalue "cisco_apic_api" - Affected operations:
- GET /api/networks/{networkId}/missing-devices
- FWD-51950 Added the
-
VendorOs
- FWDN-12317 Added value "gcp_intercept_deployment"
- Affected operations:
- GET /api/networks/{networkId}/devices
- GET /api/networks/{networkId}/devices/{deviceName}